codeunit 50100 MySuscribers
{
    EventSubscriberInstance = StaticAutomatic;

    [EventSubscriber(ObjectType::Codeunit, Codeunit::"DLGFF Produce Agreement Mgt.", 'OnAfterGetProducePostingRules', '', false, false)]
    local procedure OnAfterGetProducePostingRules(ProduceTrackingEntry: Record "DLGFF Produce Tracking Entry"; LotNoInformation: Record "Lot No. Information"; var ProducePostingRule: Record "DLGFF Produce Posting Rule");
    var
        PstdSalesShipment: Record "Sales Shipment Header";
    begin
        IF ProduceTrackingEntry."Document Type" <> ProduceTrackingEntry."Document Type"::"Sales Shipment" Then Exit; // test that the tracking entry is a sales shipment
        IF NOT PstdSalesShipment.GET(ProduceTrackingEntry."Document No.")Then Exit; // test that the posted document is found
        //Set filters on the produce posting rules if the customer or ship-to has been specified
        ProducePostingRule.SETFILTER("Sell-to Customer No.", '%1|%2', PstdSalesShipment."Sell-to Customer No.", '');
        ProducePostingRule.SETFILTER("Ship-to Code", '%1|%2', PstdSalesShipment."Ship-to Code", '');
    end;
}
